Package org.acplt.oncrpc

# Interface OncRpcRejectStatus

public interface OncRpcRejectStatus
A collection of constants used to describe why a remote procedure call message was rejected. This constants are used in `OncRpcReplyMessage` objects, which represent rejected messages if their `OncRpcReplyMessage.replyStatus` field has the value `OncRpcReplyStatus.ONCRPC_MSG_DENIED`.

Version:
  $Revision: 1.1 $ $Date: 2003/08/13 12:03:41 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ONCRPC_AUTH_ERROR`
The remote ONC/RPC server could not authenticate the caller.
`static final int`
`ONCRPC_RPC_MISMATCH`
Wrong ONC/RPC protocol version used in call (it needs to be version 2).

## Field Details

### ONCRPC_RPC_MISMATCH

static final int ONCRPC_RPC_MISMATCH
Wrong ONC/RPC protocol version used in call (it needs to be version 2).

See Also:
  - Constant Field Values

### ONCRPC_AUTH_ERROR

static final int ONCRPC_AUTH_ERROR
The remote ONC/RPC server could not authenticate the caller.

See Also:
  - Constant Field Values